- [HTTP request](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.ListNotificationSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions/list#try-it)

Gets all the notification subscriptions for a merchant.

### HTTP request

`GET https://merchantapi.googleapis.com/notifications/v1/{parent=accounts/*}/notificationsubscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The merchant account who owns the notification subscriptions. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of notification subscriptions to return in a page. The default value for `pageSize` is 100. The maximum value is `200`. Values above `200` will be coerced to `200`. |
| `pageToken` | `string` Optional. Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the ListNotificationSubscription method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "notificationSubscriptions": [ { object (`https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions#NotificationSubscription`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `notificationSubscriptions[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/notifications_v1/accounts.notificationsubscriptions#NotificationSubscription`)`` The list of notification subscriptions requested by the merchant. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).